<?xml version="1.0" standalone="yes"?>
<!-- Copyright(c) 2010 ThreatSTOP, Inc. -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:junos="http://xml.juniper.net/junos/*/junos"
xmlns:xnm="http://xml.juniper.net/xnm/1.1/xnm"
xmlns:jcs="http://xml.juniper.net/junos/commit-scripts/1.0">

<xsl:import href="../import/junos.xsl"/>

<xsl:template match="security/zones/security-zone[name='untrust']">

	<xsl:for-each select="address-book/address[name=starts-with(name, 'ThreatSTOP-block')]">
		<xsl:variable name="address-name" select="name"/>
	   
		<xsl:call-template name="jcs:emit-change">

			<xsl:with-param name="dot" select=".."/>

			<xsl:with-param name="content">
				<address delete="delete">
					<name><xsl:value-of select="$address-name"/></name>
				</address>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:for-each>

	<xsl:for-each select="address-book/address-set/address[name=starts-with(name, 'ThreatSTOP-block')]">
		<xsl:variable name="address-set-name" select="name"/>
		
		<xsl:call-template name="jcs:emit-change">

			<xsl:with-param name="dot" select=".."/>

			<xsl:with-param name="content">
				<address delete="delete">
					<name><xsl:value-of select="$address-set-name"/></name>
				</address>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:for-each>


